## API Report File for "@lumino/coreutils"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

// @public
export interface JSONArray extends Array<JSONValue> {
}

// @public
export namespace JSONExt {
    const emptyObject: ReadonlyJSONObject;
    const emptyArray: ReadonlyJSONArray;
    export function deepCopy<T extends ReadonlyPartialJSONValue>(value: T): T;
    export function deepEqual(first: ReadonlyPartialJSONValue, second: ReadonlyPartialJSONValue): boolean;
    export function isArray(value: JSONValue): value is JSONArray;
    // (undocumented)
    export function isArray(value: ReadonlyJSONValue): value is ReadonlyJSONArray;
    // (undocumented)
    export function isArray(value: PartialJSONValue): value is PartialJSONArray;
    // (undocumented)
    export function isArray(value: ReadonlyPartialJSONValue): value is ReadonlyPartialJSONArray;
    export function isObject(value: JSONValue): value is JSONObject;
    // (undocumented)
    export function isObject(value: ReadonlyJSONValue): value is ReadonlyJSONObject;
    // (undocumented)
    export function isObject(value: PartialJSONValue): value is PartialJSONObject;
    // (undocumented)
    export function isObject(value: ReadonlyPartialJSONValue): value is ReadonlyPartialJSONObject;
    export function isPrimitive(value: ReadonlyPartialJSONValue): value is JSONPrimitive;
}

// @public
export interface JSONObject {
    // (undocumented)
    [key: string]: JSONValue;
}

// @public
export type JSONPrimitive = boolean | number | string | null;

// @public
export type JSONValue = JSONPrimitive | JSONObject | JSONArray;

// @public
export class MimeData {
    clear(): void;
    clearData(mime: string): void;
    getData(mime: string): any | undefined;
    hasData(mime: string): boolean;
    setData(mime: string, data: any): void;
    types(): string[];
    }

// @public
export interface PartialJSONArray extends Array<PartialJSONValue> {
}

// @public
export interface PartialJSONObject {
    // (undocumented)
    [key: string]: PartialJSONValue | undefined;
}

// @public
export type PartialJSONValue = JSONPrimitive | PartialJSONObject | PartialJSONArray;

// @public
export class PromiseDelegate<T> {
    constructor();
    readonly promise: Promise<T>;
    reject(reason: any): void;
    resolve(value: T | PromiseLike<T>): void;
    }

// @public
export namespace Random {
    const getRandomValues: (buffer: Uint8Array) => void;
}

// @public
export interface ReadonlyJSONArray extends ReadonlyArray<ReadonlyJSONValue> {
}

// @public
export interface ReadonlyJSONObject {
    // (undocumented)
    readonly [key: string]: ReadonlyJSONValue;
}

// @public
export type ReadonlyJSONValue = JSONPrimitive | ReadonlyJSONObject | ReadonlyJSONArray;

// @public
export interface ReadonlyPartialJSONArray extends ReadonlyArray<ReadonlyPartialJSONValue> {
}

// @public
export interface ReadonlyPartialJSONObject {
    // (undocumented)
    readonly [key: string]: ReadonlyPartialJSONValue | undefined;
}

// @public
export type ReadonlyPartialJSONValue = JSONPrimitive | ReadonlyPartialJSONObject | ReadonlyPartialJSONArray;

// @public
export class Token<T> {
    constructor(name: string);
    readonly name: string;
    }

// @public
export namespace UUID {
    const uuid4: () => string;
}


// (No @packageDocumentation comment for this package)

```
