'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var invalidFieldnameLeads = ['$', '@'];
/**
 * Validate a schema definition.
 */
function validateSchema(schema) {
    var errors = [];
    // Ensure that field names do not begin with `$` or `@`.
    for (var name_1 in schema.fields) {
        if (invalidFieldnameLeads.indexOf(name_1[0]) !== -1) {
            errors.push("Invalid field name: '".concat(name_1, "'. Cannot start field name with '").concat(name_1[0], "'"));
        }
    }
    return errors;
}

exports.validateSchema = validateSchema;
//# sourceMappingURL=schema.js.map
